#
#
# Toplevel makefile for TkScript and plugins on Win32 / MSYS / GNU make / MSVC++
#
#   - Requires MSYS bash
#
#  - please adjust the PLUGINS list (see below) before building
#
#  - edit "install_msvc.mk" to configure the build environment setup (install dirs, ..)
#
#  - edit "plugin_msvc.mk" to configure plugin-specific options
#
#

include install_msvc.mk

MKFILE=makefile.msvc

TKS_ZIP_PREFIX=zipped/

# core plugins
PLUGINS= yingtest__
PLUGINS+= tksdl__
PLUGINS+= tkopengl__
PLUGINS+= tkfreetype2__
PLUGINS+= tkui__ 

# other plugins
PLUGINS += tkbluetooth__
PLUGINS += tksdl_net__
PLUGINS += tkdist2d__ 
PLUGINS += tkfileutils__ 

# graphics plugins (not used by ST2)
# (note) tkcg requires (obsolete) NVidia Cg SDK
#PLUGINS += tkcg__ 
PLUGINS += tkchipmunk__ 
PLUGINS += tkfreeglut__ 
PLUGINS += tkmath__ 
PLUGINS += tkoldmath__ 
PLUGINS += tktriangulate__

# audio plugins (not used by ST2)
PLUGINS += eqxmms__ 
PLUGINS += tksidplay2__
PLUGINS += tkfreeverb__ 
#PLUGINS += tksmdi__ 
PLUGINS += tkanalogrytm__ 

# ST2 audio plugins
PLUGINS += tkmidi__ 
PLUGINS += tkportaudio__ 
PLUGINS += tkradiastools__
PLUGINS += tksampler__ 
PLUGINS += tksampleedit__ 
PLUGINS += tksynth__ 
PLUGINS += tkvst__ 
#PLUGINS += tkcustomsynth__ 
#PLUGINS += tkmacrosynth__
#PLUGINS += tksynthgenproxy__
PLUGINS += tkmidipipe__ 
PLUGINS += tksamplechain__ 

include makefile.common


.PHONY: clean_bak
clean_bak:
	$(RM) `find . -name \*~`

.PHONY: realclean
realclean: clean_bak
	$(RM) `find . -name \*.so`
#	$(RM) `find . -name \*.dll`
	$(RM) `find . -name \*.obj`
	$(RM) `find . -name \*.o`

